<div class="col-lg-12 animated fadeInRight">
    <div class="wrapper wrapper-content animated fadeInRight">
        <div class="row">
            <div class="col-lg-12">
                <div class="ibox float-e-margins">
                    <div class="ibox-title">
                        <h3><strong>Manage Payment Types</strong></h3>
                        <div class="fm-row">
                            <div class="row">
                                <div class="col-sm-4">
                                    <input [(ngModel)]="payment_type" autocomplete="off" name="payment_type"
                                        (keydown.enter)="getPaymentTypes(item.value)" type="text" #item
                                        class="form-control input-sm-3" placeholder="Search For Payment Type" />
                                </div>
                                <div class="col-sm-8 text-right">
                                    <button type="get" (click)="getPaymentTypes(item.value);"
                                        class="btn btn-sm btn-primary blue "><i aria-hidden="true" class="fa fa-search"></i>
                                        Search</button>
                                    <button class="btn btn-sm btn-primary green" (click)="refetchPaymentType()"><i aria-hidden="true"
                                            class="fa fa-refresh"></i> Refresh</button>
                                    <button class="btn btn-sm btn-primary red" (click)="reset()"><i aria-hidden="true"
                                            class="fa fa-eraser"></i> Reset filters</button>
                                    <ng-container *ngIf="aclAdd">
                                        <button type="submit" class="btn btn-primary btn-sm blue"
                                            [routerLink]="['/admin/administration/payment-type/add']">Add new
                                            record</button>
                                    </ng-container>

                                </div>
                            </div>
                        </div>
                        <div class="ibox-content">
                            <div class="table-responsive">
                                <table aria-describedby="Manage Payment Types" class="table table-striped table-bordered table-responsive">
                                    <thead>
                                        <tr>
                                            <th scope="col">Company</th>
                                            <th scope="col" (click)="sort('payment_type')">Payment type
                                                <span><i aria-hidden="true" class="fa fa-sort-asc fa_custom up"
                                                        [ngClass]="{'sorted-color': sortOrder=='desc' && key =='payment_type' }"></i>
                                                    <i aria-hidden="true" class="fa fa-sort-desc fa_custom down"
                                                        [ngClass]="{'sorted-color': sortOrder=='asc' && key =='payment_type' }"></i>
                                                </span>
                                            </th>
                                            <th scope="col">Is visible in</th>
                                            <th scope="col">Is default payment</th>
                                            <th scope="col" (click)="sort('updated_at')">Date
                                                <span><i aria-hidden="true" class="fa fa-sort-asc fa_custom up"
                                                        [ngClass]="{'sorted-color': sortOrder=='desc' && key =='updated_at' }"></i>
                                                    <i aria-hidden="true" class="fa fa-sort-desc fa_custom down"
                                                        [ngClass]="{'sorted-color': sortOrder=='asc' && key =='updated_at' }"></i>
                                                </span>
                                            </th>
                                            <th scope="col" *ngIf="aclEdit || aclDelete">Action</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <span *ngIf="searchLoader">
                                            <img alt="loader" src="assets/img/loader.gif" class="loader-img" />
                                        </span>
                                        <tr *ngFor="let payment_type of paymentTypeData">
                                            <td>{{payment_type.company}} </td>
                                            <td>{{payment_type.payment_type}} </td>
                                            <td>{{payment_type.available_for=='0' ? 'Driver App' : payment_type.available_for=='1' ? 'Customer app' : payment_type.available_for=='2' ? 'Customer app,Driver app' : '' }}
                                            </td>
                                            <td>{{true==payment_type.is_default_payment ? 'Yes' : 'No' }} </td>
                                            <td>{{payment_type.updated_at | date}}</td>
                                            <td *ngIf="aclEdit || aclDelete">
                                                <span *ngIf="aclEdit" matTooltip="Edit">
                                                    <a
                                                        [routerLink]="['/admin/administration/payment-type/edit', payment_type._id]"><i aria-hidden="true"
                                                            class="fa fa-edit text-navy"></i></a>&nbsp;&nbsp;&nbsp;
                                                </span>
                                                <span *ngIf="aclEdit" matTooltip="Delete">
                                                    <a (click)="openDialog(payment_type._id)"><i aria-hidden="true"
                                                            class="fa fa-trash text-navy"></i> </a>
                                                </span>
                                            </td>
                                        </tr>
                                    </tbody>
                                </table>
                            </div>
                            <br>

                            <div class="container-fluid" *ngIf="paymentTypeLength>0">
                                <div class="row">
                                    <div class="cols-md-12 text-center dataTables_info1">
                                        <ngb-pagination [collectionSize]="paymentTypeLength"
                                            (pageChange)="pagingAgent($event)" [page]="1" [pageSize]="itemsPerPage"
                                            aria-label="Default pagination" [maxSize]="5" [boundaryLinks]="true">
                                        </ngb-pagination>


                                    </div>
                                </div>
                            </div>
                            <div class="container-fluid" *ngIf="paymentTypeLength==0">
                                <div class="row">
                                    <div class="dataTables_info1">
                                        <div class="col-md-4 form-group" style="text-align:center;margin-left:32%">
                                            No records found.
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>